import PropTypes from 'prop-types';
import { primaryTheme } from './primaryTheme.js';
import { secondaryTheme } from './secondaryTheme.js';
import { tertiaryTheme } from './tertiaryTheme.js';

var BORDER_RADIUS_PROP_TYPES = PropTypes.oneOf(
/*
 * Since usage relies on keys, we only need to pull
 * the keys from one theme rather than all of them
 */
Object.keys(primaryTheme.BORDER_RADIUS));
var COLORS_PROP_TYPES = PropTypes.oneOf([...Object.values(primaryTheme.COLORS), ...Object.values(secondaryTheme.COLORS), ...Object.values(tertiaryTheme.COLORS)]);

export { BORDER_RADIUS_PROP_TYPES, COLORS_PROP_TYPES };
