'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

require('react');
var PropTypes = require('prop-types');
var react = require('@emotion/react');
require('@babel/runtime/helpers/extends');
require('../icon/index.cjs');
var checkmarkIcon = require('../../icons/icons/checkmarkIcon.cjs');
var errorIcon = require('../../icons/icons/errorIcon.cjs');
var infoIcon = require('../../icons/icons/infoIcon.cjs');
var style = require('./style.cjs');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var PropTypes__default = /*#__PURE__*/_interopDefaultLegacy(PropTypes);

var bannerIconMapping = {
  success: checkmarkIcon["default"],
  error: errorIcon["default"],
  danger: errorIcon["default"],
  default: infoIcon["default"]
};
/**
 * The `<Banner />` component provides only the styling and onClick behavior of banners.
 *
 * Management of what banners are showing on the screen must be handled from outside of this component.
 *
 * Banners are not dismissable.
 */

var Banner = _ref => {
  var {
    content,
    onClick,
    type = 'default'
  } = _ref;
  var theme = react.useTheme();
  var Icon = bannerIconMapping[type];
  return react.jsx(style["default"].BannerContainer, {
    bannerType: type,
    onClick: onClick,
    tabIndex: onClick ? 0 : -1
  }, react.jsx(style["default"].MainContainer, null, react.jsx(style["default"].IconContainer, null, react.jsx(Icon, {
    fill: theme.COLORS.white
  })), react.jsx(style["default"].ContentContainer, null, content)));
};
Banner.propTypes = {
  content: PropTypes__default["default"].node.isRequired,
  onClick: PropTypes__default["default"].func,
  type: PropTypes__default["default"].oneOf(['default', 'success', 'error', 'danger'])
};

exports.Banner = Banner;
