import React from 'react';
export declare type BannerType = 'default' | 'success' | 'error' | 'danger';
export interface BannerProps {
    content: React.ReactNode;
    onClick?: () => void;
    type?: BannerType;
}
/**
 * The `<Banner />` component provides only the styling and onClick behavior of banners.
 *
 * Management of what banners are showing on the screen must be handled from outside of this component.
 *
 * Banners are not dismissable.
 */
export declare const Banner: React.FC<BannerProps>;
//# sourceMappingURL=index.d.ts.map