'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _extends = require('@babel/runtime/helpers/extends');
var _objectWithoutProperties = require('@babel/runtime/helpers/objectWithoutProperties');
require('react');
var PropTypes = require('prop-types');
var react = require('@emotion/react');
var index = require('../../shared-components/container/index.cjs');
var style$1 = require('../../style.cjs');
var style = require('./style.cjs');
require('../../../../constants/breakpoints/index.cjs');
require('../../../../constants/grid/index.cjs');
require('../../../../constants/mediaQueries/index.cjs');
require('../../../../constants/colors/primary.cjs');
require('../../../../constants/boxShadows/primary.cjs');
require('../../../../constants/colors/secondary.cjs');
require('../../../../constants/boxShadows/secondary.cjs');
var types = require('../../../../constants/themes/types.cjs');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var _extends__default = /*#__PURE__*/_interopDefaultLegacy(_extends);
var _objectWithoutProperties__default = /*#__PURE__*/_interopDefaultLegacy(_objectWithoutProperties);
var PropTypes__default = /*#__PURE__*/_interopDefaultLegacy(PropTypes);

var _excluded = ["as", "buttonColor", "buttonType", "children", "disabled", "onClick", "textColor"];
var LinkButton = _ref => {
  var {
    as = 'a',
    buttonColor,
    buttonType = 'primary',
    children,
    disabled = false,
    onClick = () => undefined,
    textColor
  } = _ref,
      rest = _objectWithoutProperties__default["default"](_ref, _excluded);

  var theme = react.useTheme();
  var ContainerTag = as;
  var buttonColorWithTheme = buttonColor !== null && buttonColor !== void 0 ? buttonColor : theme.COLORS.primary;
  return react.jsx(ContainerTag, _extends__default["default"]({
    css: style["default"].linkButtonStyles({
      disabled,
      buttonType,
      buttonColor: buttonColorWithTheme,
      textColor,
      theme
    }),
    disabled: disabled,
    onClick: !disabled ? onClick : () => false // eslint-disable-next-line react/jsx-props-no-spreading

  }, rest), react.jsx(style$1.ButtonContents, {
    isLoading: false,
    isFullWidth: false,
    hasIcon: false
  }, react.jsx(style$1.ButtonText, {
    isLoading: false,
    hasIcon: false
  }, children)));
};
LinkButton.Container = index["default"];
LinkButton.propTypes = {
  as: PropTypes__default["default"].oneOfType([PropTypes__default["default"].string, PropTypes__default["default"].elementType]),
  buttonColor: types.COLORS_PROP_TYPES,
  buttonType: PropTypes__default["default"].oneOf(['primary', 'secondary', 'tertiary', 'quaternary']),
  children: PropTypes__default["default"].node.isRequired,
  disabled: PropTypes__default["default"].bool,
  onClick: PropTypes__default["default"].func,
  textColor: types.COLORS_PROP_TYPES
};

exports.LinkButton = LinkButton;
