import React from 'react';
export interface TextButtonProps {
    /**
     * Node/text to be rendered inside the button
     */
    children: React.ReactNode;
    disabled?: boolean;
    onClick?: () => void;
    [key: string]: unknown;
}
/**
 * `TextButton` will render a block of text (or node) that will function as a button.
 * The component renders with padding and should not be used inline within body text, etc.
 * Useful for rendering a chunk of text that can be clicked but can also be disabled if needed.
 */
export declare const TextButton: React.FC<TextButtonProps>;
//# sourceMappingURL=index.d.ts.map