import React from 'react';
export declare type StatusType = 'primary' | 'success' | 'error' | 'white';
export interface ChipProps {
    isLowContrast?: boolean;
    status?: StatusType;
    text: string;
}
/**
 * Chips should be used in small spaces to add value to the elements they're nested in. (i.e. "Recommended" on product cards or showing an error on an element in a list.)
 *
 * These chips can have a status value of Error, Primary, Success, or White. "White" does not have a low contrast version, and can be used on top of photos or illustrations.
 */
export declare const Chip: React.FC<ChipProps>;
//# sourceMappingURL=index.d.ts.map