/// <reference types="react" />
import type { ContainerType } from './style';
/**
 * Variable defined solely for type definitions.
 *
 * Our pattern for setting subcomponents via dot notion is easy within a proper component
 * but not when setting it directly on the return value of a `styled` call.
 */
declare const ContainerComponentForTypesOnly: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any> | undefined;
} & {
    type?: ContainerType | undefined;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare type ContainerComponentType = typeof ContainerComponentForTypesOnly;
export {};
//# sourceMappingURL=types.d.ts.map