import 'react';
import { useTheme, jsx } from '@emotion/react';
import '@babel/runtime/helpers/extends';
import '../icon/index.js';
import ChevronIcon from '../../icons/icons/chevronIcon.js';
import Style from './style.js';

var MobileDropdown = _ref => {
  var {
    borderRadius,
    id,
    onMobileSelectChange,
    onDropdownContainerFocus,
    options,
    textAlign,
    value
  } = _ref;
  var theme = useTheme();
  return jsx(Style.DropdownContainer, {
    textAlign: textAlign
  }, jsx("select", {
    css: Style.dropdownInputStyle({
      borderRadius,
      shouldBeFullyRounded: true,
      textAlign,
      theme
    }),
    id: id,
    value: value !== null && value !== void 0 ? value : '',
    onChange: onMobileSelectChange,
    onFocus: onDropdownContainerFocus
  }, options.map((option, index) => {
    var _option$value;

    var isDisabled = option.disabled;
    /*
     * Covers the case where default value is disabled
     * In mobile you cannot have a selected value as disabled option
     */

    if (option.value === value) {
      isDisabled = false;
    }

    return jsx("option", {
      key: (_option$value = option.value) !== null && _option$value !== void 0 ? _option$value : "undefined-".concat(index),
      value: option.value,
      disabled: isDisabled
    }, option.label);
  })), jsx(Style.IconContainer, null, jsx(ChevronIcon, {
    width: 10,
    height: 10
  })));
};

export { MobileDropdown };
