import React from 'react';
import { ThemeColors } from '../../constants';
export interface LoadingSpinnerProps {
    /**
     * Background color of loading container
     */
    bgColor?: ThemeColors;
    /**
     * Color of the loading dots
     */
    color?: ThemeColors;
    /**
     * Length of time for animation loop
     */
    duration?: number;
    /**
     * Size of loading dots
     */
    size?: string;
    /**
     * Distance dots will move horizontally
     */
    translateX?: string;
}
/**
 * LoadingSpinner will cover the entirety of the container that holds it. The container should have `position: relative;` as part of its styling to prevent the LoadingSpinner from spilling outside the container.
 */
export declare const LoadingSpinner: React.FC<LoadingSpinnerProps>;
//# sourceMappingURL=index.d.ts.map