import 'react';
import PropTypes from 'prop-types';
import { useTheme, jsx } from '@emotion/react';
import Style from './style.js';
import '../../constants/breakpoints/index.js';
import '../../constants/grid/index.js';
import '../../constants/mediaQueries/index.js';
import '../../constants/colors/primary.js';
import '../../constants/boxShadows/primary.js';
import '../../constants/colors/secondary.js';
import '../../constants/boxShadows/secondary.js';
import { COLORS_PROP_TYPES } from '../../constants/themes/types.js';

var LoadingSpinner = _ref => {
  var {
    bgColor,
    color,
    duration = 2,
    size = '14px',
    translateX = '100px'
  } = _ref;
  var theme = useTheme();
  var bgColorWithTheme = bgColor !== null && bgColor !== void 0 ? bgColor : theme.COLORS.background;
  var colorWithTheme = color !== null && color !== void 0 ? color : theme.COLORS.primary;
  return jsx(Style.LoadingSpinnerContainer, {
    bgColor: bgColorWithTheme
  }, jsx(Style.Overlay, null, jsx(Style.Dot, {
    dotColor: colorWithTheme,
    translateX: translateX,
    duration: duration,
    dotSize: size
  }), jsx(Style.Dot, {
    dotColor: colorWithTheme,
    translateX: translateX,
    duration: duration,
    dotSize: size
  }), jsx(Style.Dot, {
    dotColor: colorWithTheme,
    translateX: translateX,
    duration: duration,
    dotSize: size
  })));
};
LoadingSpinner.propTypes = {
  bgColor: COLORS_PROP_TYPES,
  color: COLORS_PROP_TYPES,
  duration: PropTypes.number,
  size: PropTypes.string,
  translateX: PropTypes.string
};

export { LoadingSpinner };
