'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _extends = require('@babel/runtime/helpers/extends');
var _objectWithoutProperties = require('@babel/runtime/helpers/objectWithoutProperties');
require('react');
var PropTypes = require('prop-types');
var react = require('@emotion/react');
require('../../constants/breakpoints/index.cjs');
require('../../constants/grid/index.cjs');
require('../../constants/mediaQueries/index.cjs');
var index = require('../../constants/progressBarStatus/index.cjs');
require('../../constants/colors/primary.cjs');
require('../../constants/boxShadows/primary.cjs');
require('../../constants/colors/secondary.cjs');
require('../../constants/boxShadows/secondary.cjs');
var types = require('../../constants/themes/types.cjs');
var style = require('./style.cjs');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var _extends__default = /*#__PURE__*/_interopDefaultLegacy(_extends);
var _objectWithoutProperties__default = /*#__PURE__*/_interopDefaultLegacy(_objectWithoutProperties);
var PropTypes__default = /*#__PURE__*/_interopDefaultLegacy(PropTypes);

var _excluded = ["backgroundColor", "barColor", "height", "loadingTime", "status"];
var ProgressBar = _ref => {
  var {
    backgroundColor,
    barColor,
    height = 4,
    loadingTime = '20s',
    status
  } = _ref,
      rest = _objectWithoutProperties__default["default"](_ref, _excluded);

  var theme = react.useTheme();
  var backgroundColorWithTheme = backgroundColor !== null && backgroundColor !== void 0 ? backgroundColor : theme.COLORS.background;
  var barColorWithTheme = barColor !== null && barColor !== void 0 ? barColor : theme.COLORS.primary;
  return react.jsx(style["default"].OuterContainer, _extends__default["default"]({
    status: status,
    barHeight: height,
    backgroundColor: backgroundColorWithTheme // eslint-disable-next-line react/jsx-props-no-spreading

  }, rest), react.jsx(style["default"].InnerBar, {
    status: status,
    barHeight: height,
    barColor: barColorWithTheme,
    loadingTime: loadingTime
  }));
};
ProgressBar.propTypes = {
  backgroundColor: types.COLORS_PROP_TYPES,
  barColor: types.COLORS_PROP_TYPES,
  height: PropTypes__default["default"].number,
  loadingTime: PropTypes__default["default"].string,
  status: PropTypes__default["default"].oneOf([index["default"].loading, index["default"].success, index["default"].error]).isRequired
};

exports.ProgressBar = ProgressBar;
