'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _extends = require('@babel/runtime/helpers/extends');
var _objectWithoutProperties = require('@babel/runtime/helpers/objectWithoutProperties');
require('react');
var PropTypes = require('prop-types');
var index = require('../selectorButton/index.cjs');
var react = require('@emotion/react');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var _extends__default = /*#__PURE__*/_interopDefaultLegacy(_extends);
var _objectWithoutProperties__default = /*#__PURE__*/_interopDefaultLegacy(_objectWithoutProperties);
var PropTypes__default = /*#__PURE__*/_interopDefaultLegacy(PropTypes);

var _excluded = ["checked", "children", "disabled", "icon", "onClick", "size", "type"];
var RadioButton = _ref => {
  var {
    checked,
    children = null,
    disabled = false,
    icon = null,
    onClick = () => undefined,
    size = 'small',
    type = 'primary'
  } = _ref,
      rest = _objectWithoutProperties__default["default"](_ref, _excluded);

  return react.jsx(index.SelectorButton, _extends__default["default"]({
    checked: checked,
    disabled: disabled,
    icon: icon,
    onClick: onClick,
    selector: "radio",
    size: size,
    type: type // eslint-disable-next-line react/jsx-props-no-spreading

  }, rest), children);
};
RadioButton.propTypes = {
  checked: PropTypes__default["default"].bool.isRequired,
  children: PropTypes__default["default"].oneOfType([PropTypes__default["default"].arrayOf(PropTypes__default["default"].node), PropTypes__default["default"].node]),
  disabled: PropTypes__default["default"].bool,
  icon: PropTypes__default["default"].node,
  onClick: PropTypes__default["default"].func,
  size: PropTypes__default["default"].oneOf(['large', 'small']),
  type: PropTypes__default["default"].oneOf(['primary', 'secondary'])
};

exports.RadioButton = RadioButton;
exports["default"] = RadioButton;
