import React from 'react';
import { SizeType, StyleType } from '../selectorButton';
export interface RadioButtonProps {
    checked: boolean;
    /**
     * Text label displayed next to the radio button
     */
    children?: React.ReactNode;
    disabled?: boolean;
    /**
     * Icon optionally displayed inside the radio button.
     *
     * Icons are only displayed at the 'large' size
     */
    icon?: React.ReactNode;
    onClick?: (event: React.MouseEvent<HTMLDivElement, MouseEvent> | React.KeyboardEvent) => void;
    size?: SizeType;
    type?: StyleType;
    [key: string]: unknown;
}
/**
 * `<RadioButton />` is a controlled component that represents a radio selection. This means that the `onClick` function should be used to change the checked state of the radio button.
 *
 * Note that a group of radio buttons must be composed by a parent component.
 */
export declare const RadioButton: React.FC<RadioButtonProps>;
export default RadioButton;
//# sourceMappingURL=index.d.ts.map