import React from 'react';
import * as ReactTestingLibrary from '@testing-library/react';
import userEvent from '@testing-library/user-event';
import { ThemeType } from '../constants';
declare type UserEventSetup = typeof userEvent.setup;
interface RenderOptions extends ReactTestingLibrary.RenderOptions {
    theme?: ThemeType;
    userEventOptions?: Parameters<UserEventSetup>[number];
    withPortalContainer?: boolean;
}
interface RenderReturn extends ReactTestingLibrary.RenderResult {
    user: ReturnType<UserEventSetup>;
}
/**
 * We customize @testing-library methods to bake-in theming and keep unit tests DRY.
 */
declare const customRender: (Component: React.ReactElement, options?: RenderOptions) => RenderReturn;
export * from '@testing-library/react';
export { customRender as render };
//# sourceMappingURL=testingLibraryHelpers.d.ts.map