'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _extends = require('@babel/runtime/helpers/extends');
var _objectWithoutProperties = require('@babel/runtime/helpers/objectWithoutProperties');
var React = require('react');
var reactTransitionGroup = require('react-transition-group');
var index = require('../../constants/animation/index.cjs');
require('../../constants/breakpoints/index.cjs');
require('../../constants/grid/index.cjs');
require('../../constants/mediaQueries/index.cjs');
require('../../constants/colors/primary.cjs');
require('../../constants/boxShadows/primary.cjs');
require('../../constants/colors/secondary.cjs');
require('../../constants/boxShadows/secondary.cjs');
require('../../constants/themes/types.cjs');
var react = require('@emotion/react');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var _extends__default = /*#__PURE__*/_interopDefaultLegacy(_extends);
var _objectWithoutProperties__default = /*#__PURE__*/_interopDefaultLegacy(_objectWithoutProperties);
var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

var _excluded = ["children"];
var START_STATE = {
  opacity: '0',
  maxHeight: '0'
};

var getStyleForTransitionState = transitionState => {
  switch (transitionState) {
    case 'entering':
      return START_STATE;

    case 'entered':
      return {
        opacity: '1',
        maxHeight: '48px',
        transitionDuration: index["default"].defaultTiming,
        transitionProperty: 'max-height, opacity',
        transitionTimingFunction: 'ease-in-out'
      };

    case 'exiting':
      return {
        opacity: '0',
        maxHeight: '0',
        transitionDuration: index["default"].defaultTiming,
        transitionProperty: 'max-height, opacity',
        transitionTimingFunction: 'ease-in-out'
      };

    case 'exited':
      return START_STATE;

    default:
      return {};
  }
};

var HelperTransition = _ref => {
  var {
    children: child
  } = _ref,
      props = _objectWithoutProperties__default["default"](_ref, _excluded);

  return (// eslint-disable-next-line react/jsx-props-no-spreading
    react.jsx(reactTransitionGroup.Transition, _extends__default["default"]({
      timeout: 350
    }, props), transitionState => /*#__PURE__*/React__default["default"].cloneElement(child, {
      style: getStyleForTransitionState(transitionState)
    }))
  );
};

exports["default"] = HelperTransition;
